Debian Bug report logs - #605784
nagios-statd-server: stops responding and 100% cpu usage

version graph

Package: nagios-statd-server; Maintainer for nagios-statd-server is Jason Thomas <jason@debian.org>;

Reported by: Vladislav Kurz <vladislav.kurz@webstep.net>

Date: Fri, 3 Dec 2010 13:06:02 UTC

Severity: grave

Tags: patch, sid, squeeze

Found in version nagios-statd/3.12-1

Fixed in version nagios-statd/3.12-1.1

Done: Jonathan Wiltshire <jmw@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jason Thomas <jason@debian.org>:
Bug#605784; Package nagios-statd-server. (Fri, 03 Dec 2010 13:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladislav Kurz <vladislav.kurz@webstep.net>:
New Bug report received and forwarded. Copy sent to Jason Thomas <jason@debian.org>. (Fri, 03 Dec 2010 13:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vladislav Kurz <vladislav.kurz@webstep.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nagios-statd-server: stops responding and 100% cpu usage
Date: Fri, 03 Dec 2010 13:39:12 +0100
Package: nagios-statd-server
Version: 3.12-1
Severity: grave
Justification: renders package unusable

Hello,

after upgrade to squeeze, nagios-statd stopped working.  Usually works
fine for one hour and after that nagios reports connection timeout and
top indicates that nagios-statd is using 100% of CPU.  (Fortunately uses
only one core on muli-core CPU.) I found a recommendation on
ubutu bugzilla to use python2.4. See here:
https://bugs.launchpad.net/ubuntu/+source/nagios-statd/+bug/463795

I confirm, that it works fine with python2.4. After I have
edited /usr/sbin/nagios-statd to use /usr/bin/python2.4, it
works for two hours now. I'll see if it keeps running after
weekend and then I might try python2.5, because 2.4 is not
any more in squeeze.

Regards
Vladislav Kurz


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages nagios-statd-server depends on:
ii  python                  2.6.6-3+squeeze1 interactive high-level object-orie

nagios-statd-server recommends no packages.

nagios-statd-server suggests no packages.

-- no debconf information




Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Thu, 09 Dec 2010 21:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jason Thomas <jason@debian.org>:
Bug#605784; Package nagios-statd-server. (Fri, 10 Dec 2010 16:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladislav Kurz <vladislav.kurz@webstep.net>:
Extra info received and forwarded to list. Copy sent to Jason Thomas <jason@debian.org>. (Fri, 10 Dec 2010 16:36:09 GMT) Full text and rfc822 format available.

Message #12 received at 605784@bugs.debian.org (full text, mbox):

From: Vladislav Kurz <vladislav.kurz@webstep.net>
To: Debian Bug Tracking System <605784@bugs.debian.org>
Subject: nagios-statd-server: test with python2.5 sucessful
Date: Fri, 10 Dec 2010 17:13:40 +0100
Package: nagios-statd-server
Version: 3.12-1
Followup-For: Bug #605784


Hello,

i have tested nagios-statd witch python2.4 and python2.5.
With both of them it works fine, for couple of days without problem.
When running with python2.6, problems arise cca 1 hour after start.

Suggested fix:

Change the first line of /usr/sbin/nagios-statd to:
#!/usr/bin/python2.5

and change dependency to pyhton2.5

regards
Vladislav Kurz

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages nagios-statd-server depends on:
ii  python                  2.6.6-3+squeeze1 interactive high-level object-orie

nagios-statd-server recommends no packages.

nagios-statd-server suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#605784; Package nagios-statd-server. (Fri, 10 Dec 2010 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Thomas <jason@debian.org>:
Extra info received and forwarded to list. (Fri, 10 Dec 2010 21:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 605784@bugs.debian.org (full text, mbox):

From: Jason Thomas <jason@debian.org>
To: Vladislav Kurz <vladislav.kurz@webstep.net>, 605784@bugs.debian.org
Subject: Re: Bug#605784: nagios-statd-server: test with python2.5 sucessful
Date: Sat, 11 Dec 2010 08:54:03 +1100
[Message part 1 (text/plain, inline)]
Hi Vladislav,

Thanks for your debugging work. I'll upload a new package soon, with your
recommendations.

Jason

On Sat, Dec 11, 2010 at 3:13 AM, Vladislav Kurz
<vladislav.kurz@webstep.net>wrote:

> Package: nagios-statd-server
> Version: 3.12-1
> Followup-For: Bug #605784
>
>
> Hello,
>
> i have tested nagios-statd witch python2.4 and python2.5.
> With both of them it works fine, for couple of days without problem.
> When running with python2.6, problems arise cca 1 hour after start.
> Suggested fix:
>
> Change the first line of /usr/sbin/nagios-statd to:
> #!/usr/bin/python2.5
>
> and change dependency to pyhton2.5
>
> regards
> Vladislav Kurz
>
> -- System Information:
> Debian Release: squeeze/sid
>  APT prefers testing
>  APT policy: (500, 'testing')
> Architecture: i386 (i686)
>
> Kernel: Linux 2.6.32-5-686-bigmem (SMP w/8 CPU cores)
> Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages nagios-statd-server depends on:
> ii  python                  2.6.6-3+squeeze1 interactive high-level
> object-orie
>
> nagios-statd-server recommends no packages.
>
> nagios-statd-server suggests no packages.
>
> -- no debconf information
>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jason Thomas <jason@debian.org>:
Bug#605784; Package nagios-statd-server. (Sun, 26 Dec 2010 16:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Jason Thomas <jason@debian.org>. (Sun, 26 Dec 2010 16:39:03 GMT) Full text and rfc822 format available.

Message #22 received at 605784@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 605784@bugs.debian.org
Subject: nagios-statd: diff for NMU version 3.12-1.1
Date: Sun, 26 Dec 2010 16:37:18 +0000
[Message part 1 (text/plain, inline)]
tags 605784 + patch
tags 605784 + pending
thanks

Dear maintainer,

I've prepared an NMU for nagios-statd (versioned as 3.12-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51
[nagios-statd-3.12-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 16:39:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 16:39:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://svn.python.org/view?view=rev&revision=73887'. Request was from Micah Anderson <micah@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 22:09:03 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'http://svn.python.org/view?view=rev' from 'http://svn.python.org/view?view=rev&revision=73887' Request was from Micah Anderson <micah@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 22:09:05 GMT) Full text and rfc822 format available.

Bug 605784 cloned as bug 608070. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 22:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#605784; Package nagios-statd-server. (Tue, 28 Dec 2010 04:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Thomas <jason@debian.org>:
Extra info received and forwarded to list. (Tue, 28 Dec 2010 04:39:03 GMT) Full text and rfc822 format available.

Message #37 received at 605784@bugs.debian.org (full text, mbox):

From: Jason Thomas <jason@debian.org>
To: Jonathan Wiltshire <jmw@debian.org>, 605784@bugs.debian.org
Subject: Re: Bug#605784: nagios-statd: diff for NMU version 3.12-1.1
Date: Tue, 28 Dec 2010 15:35:05 +1100
[Message part 1 (text/plain, inline)]
Hi Jonathan,

I've looked over the changes and they are okay with me, what you have done
is fine.

Thank you.



On Mon, Dec 27, 2010 at 3:37 AM, Jonathan Wiltshire <jmw@debian.org> wrote:

> tags 605784 + patch
> tags 605784 + pending
> thanks
>
> Dear maintainer,
>
> I've prepared an NMU for nagios-statd (versioned as 3.12-1.1) and
> uploaded it to DELAYED/2. Please feel free to tell me if I
> should delay it longer.
>
> Regards.
>
> --
> Jonathan Wiltshire                                      jmw@debian.org
> Debian Developer                         http://people.debian.org/~jmw<http://people.debian.org/%7Ejmw>
>
> 4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.10 (GNU/Linux)
>
> iQIcBAEBAgAGBQJNF28+AAoJEFOUR53TUkxRY3kP/j/Y7atQ2h2oAc/S7hSdQR/N
> 0mGBqzeZ+E1avNLu2EPStMNehxNj1LcgdZ8FhUo2wTsmfDWMUhobsXbwkC3GF7KW
> jPue0Zoncmj0+WSi1rHEh8nt4gQO3CbQfza3F2CnG769yhhj6h3Pw4dHt5opwE5u
> jjVoRS6R8kG47gpvqioSies7Cs1N/6bgr1EONM+IQy9fsRdlYbB36h3zCIb0iCI7
> U8CIVCKDCZ0pCXGuwbOkdx4W4qG9FOePjl7vaeF7favrxAl9TYZFOhxoEp0TF8Ss
> oaF0efGkUA0dAmWv4lUaCF24FIJ1h78gZeCx7RLgn4gGr949CeBYhnU8Ealh5nPv
> YPrXLF446ZcgJhbL8bgjxMhBZYJlVTJPxpIpwHyRaLzaM6lI0XJqjtDP9oHRlDTT
> EKwBaP9Pv4MUK5rd5dsXG6OPwflIRBBJVw4ryNj/KL6Ud74KjtLkY5NdG8O6Bgw9
> J/8Pbr92hfBXWo66zr09dx4iEZL7R0xXp0zvbruXHm1oJqsIXFYR76EPsi8Yd+yp
> kD7UszdcIG+3aOS48sxGEW6hFRTbWfDy6/uVYks+2/2Vmv6vGelRXzPQ8S3EKpwx
> uWVHTCx7SSMsDvKDt7lmOvxR8u/5Gs3E4y7Eg21yX9pLSBEuh+OijNuVT9o9JXJU
> UKarbJcBdMD/SgENqVyz
> =uyHq
> -----END PGP SIGNATURE-----
>
>
[Message part 2 (text/html, inline)]

Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Tue, 28 Dec 2010 16:51:30 GMT) Full text and rfc822 format available.

Notification sent to Vladislav Kurz <vladislav.kurz@webstep.net>:
Bug acknowledged by developer. (Tue, 28 Dec 2010 16:51:30 GMT) Full text and rfc822 format available.

Message #42 received at 605784-close@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 605784-close@bugs.debian.org
Subject: Bug#605784: fixed in nagios-statd 3.12-1.1
Date: Tue, 28 Dec 2010 16:47:52 +0000
Source: nagios-statd
Source-Version: 3.12-1.1

We believe that the bug you reported is fixed in the latest version of
nagios-statd, which is due to be installed in the Debian FTP archive:

nagios-statd-client_3.12-1.1_all.deb
  to main/n/nagios-statd/nagios-statd-client_3.12-1.1_all.deb
nagios-statd-server_3.12-1.1_all.deb
  to main/n/nagios-statd/nagios-statd-server_3.12-1.1_all.deb
nagios-statd_3.12-1.1.diff.gz
  to main/n/nagios-statd/nagios-statd_3.12-1.1.diff.gz
nagios-statd_3.12-1.1.dsc
  to main/n/nagios-statd/nagios-statd_3.12-1.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 605784@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Wiltshire <jmw@debian.org> (supplier of updated nagios-statd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 26 Dec 2010 16:19:26 +0000
Source: nagios-statd
Binary: nagios-statd-server nagios-statd-client
Architecture: source all
Version: 3.12-1.1
Distribution: unstable
Urgency: high
Maintainer: Jason Thomas <jason@debian.org>
Changed-By: Jonathan Wiltshire <jmw@debian.org>
Description: 
 nagios-statd-client - Nagios client for monitoring remote system information
 nagios-statd-server - Nagios server for monitoring remote system information
Closes: 605784
Changes: 
 nagios-statd (3.12-1.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Patch use-python2.5.diff: always use Python 2.5 to run
     /usr/bin/nagios-statd and /usr/sbin/nagios-statd (closes: #605784)
Checksums-Sha1: 
 b1f2be35b512122f82d71eff9dc1f594ca1d083f 1697 nagios-statd_3.12-1.1.dsc
 1b6c01e75e1a2105f83b44d107227865e2fdfbee 4939 nagios-statd_3.12-1.1.diff.gz
 6a07901a4a7725ff718fe8ab16b3f847d752a88a 10246 nagios-statd-server_3.12-1.1_all.deb
 bef5b5e6de9c5c9cfc5f819e580619ba2b7c2f47 11432 nagios-statd-client_3.12-1.1_all.deb
Checksums-Sha256: 
 47d793b812040413a7d8af68d0019a623f62a47542ddd9b5d43948daa2787f01 1697 nagios-statd_3.12-1.1.dsc
 abc31636505331f8da087185c07030f014bc407a874783ad258df9fe6d061e2f 4939 nagios-statd_3.12-1.1.diff.gz
 2b66e3132af3b9a7261b3ef3077d878320555d2ed913fe87dc94b4ebacdf6754 10246 nagios-statd-server_3.12-1.1_all.deb
 b9a05efa735a68e1eb6cb2614e24a2eb190d5997410030221e1b0e57d72a1e31 11432 nagios-statd-client_3.12-1.1_all.deb
Files: 
 7263da3dc9283e4d66715658b4e78310 1697 net optional nagios-statd_3.12-1.1.dsc
 6018e168d30cde337e8a6997d3244bcb 4939 net optional nagios-statd_3.12-1.1.diff.gz
 0d6c6f3a4f9ce9d6a34bac04ab8d1b11 10246 net optional nagios-statd-server_3.12-1.1_all.deb
 85e9221a82774bf38f51ffddff4c9019 11432 net optional nagios-statd-client_3.12-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJNF2zjAAoJEFOUR53TUkxRu7kP/ju+TPMkqP8o/77L4Ez+tJsh
JmbW9dP/tmvAVStHJEmiCSUz8kB55Wa6QHTbZSHZjATZAPX4zLux9qgNDUF/Pg/2
3cy/EV15DwAtbtpeaK5zVYemsTAZ6Hwcb1HVkHkvZdkC8oiDVenLkkVFTnra3E/5
gXtXLuzTXbet1Ovkp/JtVRuvM1l2obWdjg10qriOlW20Oz4gB3KlCV+Nl+sEOhTQ
3va64INau4Ock2FYwXQ+YNmfKIC/LdHZgjIxVFEeyKpVnyiCuhCmjnxfTi9ZdsWl
7OIJhA614RYCWlFaXFUDletXfMI78Vc3zpTxFY9G6J/0iy/ndDB11pJNiUzqByEl
PXc4+EiTmLISRAmJGlh7JZfqw6s2/md+SfmzwfhwwX4Cmp2KeMzI4m4jZyOZDIDc
QtjudoZ0CFr1uCmnRsnRFhwxC3kzkKR04LqCzKDJaz4+HnKTyNxmZa5S2BOZiYtF
bYNPiy8OrtSWMc9z02EmDIWda41TNs4sRtE6U7ULQgBx88NMhQMYScR/f+UDVCEh
uLKccgqqf0ozZqBSgKwhlatA2H31+Wz+gSSHC9Q4WlK/2XKLZKT7yus/AZu7pVSM
EEFZVCE7kEE3QK27zru0eq55sKvfep1Inzxm/EPTb8csdMNJOQr1jtZ5NzzG8hPT
VZh1FU476tg8m4VYJlem
=NmWC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 10:07:32 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 01 Apr 2011 10:54:06 GMT) Full text and rfc822 format available.

Unset Bug forwarded-to-address Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 01 Apr 2011 10:54:07 GMT) Full text and rfc822 format available.

Bug 605784 cloned as bug 620353. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 01 Apr 2011 10:54:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 01 Apr 2011 10:54:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:04:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.